export default function QueryVisualization(props: any): import("react/jsx-runtime").JSX.Element;
export function VisualizationRunningState({ className }: {
    className?: string | undefined;
}): import("react/jsx-runtime").JSX.Element;
export function VisualizationEmptyState({ className }: {
    className: any;
}): import("react/jsx-runtime").JSX.Element;
export function VisualizationDirtyState({ className, result, isRunnable, isRunning, isResultDirty, runQuestionQuery, cancelQuery, hidden, }: {
    className: any;
    result: any;
    isRunnable: any;
    isRunning: any;
    isResultDirty: any;
    runQuestionQuery: any;
    cancelQuery: any;
    hidden: any;
}): import("react/jsx-runtime").JSX.Element;
